import JWT from 'jsonwebtoken';
export type { JwtPayload } from 'jsonwebtoken';
import forge from 'node-forge';
export interface JWKS {
    keys: [
        {
            alg: string;
            kty: string;
            use: string;
            x5c: [string];
            n: string;
            e: string;
            kid: string;
            x5t: string;
        }
    ];
}
export declare const createCertificate: ({ publicKey, privateKey, jwksOrigin, }: {
    publicKey: forge.pki.PublicKey;
    privateKey: forge.pki.PrivateKey;
    jwksOrigin?: string | undefined;
}) => string;
export declare const createJWKS: ({ privateKey, publicKey, jwksOrigin, }: {
    privateKey: forge.pki.PrivateKey;
    publicKey: forge.pki.PublicKey;
    jwksOrigin?: string | undefined;
}) => JWKS;
export declare const createKeyPair: () => {
    privateKey: forge.pki.rsa.PrivateKey;
    publicKey: forge.pki.rsa.PublicKey;
};
export declare const signJwt: (privateKey: forge.pki.PrivateKey, jwtPayload: JWT.JwtPayload, kid?: string) => string;
